

<!-- BEGIN: Subheader -->
<div class="m-subheader ">
	<div class="d-flex align-items-center">
		<div class="mr-auto">
			<h3 class="m-subheader__title m-subheader__title--separator">
				PIC
			</h3>
			<ul class="m-subheader__breadcrumbs m-nav m-nav--inline">
				<li class="m-nav__separator">
					<i class="flaticon-interface-7"></i> Master
				</li>
			</ul>
		</div>
	</div>
</div>
<!-- END: Subheader -->
<div class="m-content">
	<!--Begin::Main Portlet-->
	<div class="row">
		<div class="col-lg-12">
			<!--begin::Portlet-->
			<div class="m-portlet m-portlet--tab">
				<div class="m-portlet__head">
					<div class="m-portlet__head-caption">
						<div class="m-portlet__head-title">
							<span class="m-portlet__head-icon m--hide">
								<i class="la la-gear"></i>
							</span>
							<h3 class="m-portlet__head-text">
								Form Input
							</h3>
						</div>
					</div>
				</div>

				<!-- alert -->
				<?php echo $pesan; ?>

				<!--begin::Form-->
				<?php $att = array('class'=>'m-form m-form--fit m-form--label-align-right', 'role'=>'form');
				echo form_open('pic/save', $att); ?>
					<div class="m-portlet__body">
						<div class="form-group m-form__group row">
							<label class="col-md-2 col-xs-3 col-form-label">
								Perusahaan
							</label>
							<div class="col-md-3 col-xs-12">
								<div class="m-select2 m-select2--air">
									<select class="form-control m-select2" name="PerID" id="PerID" data-placeholder="select on option">
										<option></option>
										<?php foreach ($getPer as $set):
											echo "<option value='".$set->PerID."'>".$set->Singkatan."</option>";
										endforeach; ?>
									</select>
								</div>
							</div>
						</div>
						<div class="form-group m-form__group row">
							<label class="col-md-2 col-xs-3 col-form-label">
								Name
							</label>
							<div class="col-md-4 col-xs-12">
								<div class="m-select2 m-select2--air" id="namauser">
									<select class="form-control m-select2" name="Namanya" id="namanya"  data-placeholder="select on option">
										<!-- <option></option>
										<?php foreach ($getUser as $set):
											echo "<option value='".$set->LoginID."'>".$set->NamaUser."</option>";
										endforeach; ?> -->
									</select>
								</div>
							</div>
						</div>
						<div class="form-group m-form__group row">
							<label class="col-md-2 col-xs-3 col-form-label">
								Level
							</label>
							<div class="col-md-10 col-xs-12">
								<div class="m-radio-inline">
									<div class="m-form__group form-group">
										<div class="m-checkbox-inline">
											<label class="m-checkbox">
												<input type="checkbox" name="Level1" id="Level1" value="1" onclick="validate1()">
												TOP MGT
												<span></span>
											</label>
											<label class="m-checkbox">
												<input type="checkbox" name="Level2" id="Level2" value="1" onclick="validate2()">
												Primary
												<span></span>
											</label>
											<label class="m-checkbox">
												<input type="checkbox" name="Level3" id="Level3" value="1" onclick="validate3()">
												Secondary
												<span></span>
											</label>
										</div>
									</div>
									<input type="hidden" name="Level1" id="Level1hidden"  value="0">
									<input type="hidden" name="Level2" id="Level2hidden" value="0">
									<input type="hidden" name="Level3" id="Level3hidden" value="0">
								</div>
							</div>
						</div>
					</div>

					<div class="m-portlet__foot m-portlet__foot--fit">
						<div class="m-form__actions">
							<div class="row">
								<div class="col-md-2"></div>
								<div class="col-md-10 col-xs-12">
									<button type="Submit" class="btn btn-brand">Submit</button>
									<a class="btn btn-secondary" href="javascript:history.back()">Back</a>
								</div>
							</div>
						</div>
					</div>
				</form>
			</div>
			<!--end::Portlet-->
		</div>
	</div>
	<!--End::Main Portlet-->
</div>
<script type="text/javascript">
	$(document).ready(function(){
		$('#PerID').select2();
		$('#namanya').select2();

		// 
	

		$('#PerID').change(function(){
            var PerID = $("#PerID").val();
            // alert(PerID);
            $.ajax({
                type: "POST",
                url : "<?php echo site_url('Pic/ajax_get_user')?>",
                data: {
                    'PerID' : PerID
                },
                success: function(msg){
					$('#namanya').html(msg);	
							 
                }
            });
        });

        $('#namanya').change(function(){
            var namapic = $("#namanya").val();
            
            $.ajax({
                type: "POST",
                url : "<?php echo site_url('Pic/ajax_cek_user')?>",
                data: {
                    'namapic' : namapic
                },
                success: function(msg){
                	if(msg==1){
                		swal({title: "Data Sudah Pernah Di Save",
			            text: "",
			            type: ""});
                	}else{
                		// alert(msg);
                	}
                }
            });
        });
	})

		function validate1(){
			var level1=document.getElementById('Level1');
			if(level1.checked) {
	    		document.getElementById('Level1hidden').disabled = true;
			}else{
				document.getElementById('Level1hidden').disabled = false;
				document.getElementById('Level1').removeAttribute('checked'); 
			}
		}
		function validate2(){
			var level2=document.getElementById('Level2');
			if(level2.checked) {
	    		document.getElementById('Level2hidden').disabled = true;
			}else{
				document.getElementById('Level2hidden').disabled = false;
				level2.removeAttribute('checked'); 
			}
		}
		function validate3(){
			var level3=document.getElementById('Level3');
			if(level3.checked) {
	    		document.getElementById('Level3hidden').disabled = true;
			}else{
				document.getElementById('Level3hidden').disabled = false;
				level3.removeAttribute('checked'); 
			}
		}
</script>